<?php

namespace App\Data\Woo;

use App\Data\BaseData;

class RefundData extends BaseData
{
    public function __construct(
        public readonly ?int $id,
        public readonly ?string $reason,
        public readonly ?string $total,
    ) {}

    protected static function casts(): array
    {
        return [
            'id'     => 'int',
            'reason' => 'string',
            'total'  => 'string',
        ];
    }
}
